osl::rating::KingEscape Class Reference

`#include <escape.h>`

Inheritance diagram for osl::rating::KingEscape:

## Public Member Functions

| KingEscape (Ptype s)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Private Attributes

Ptype | ptype

## Detailed Description

Definition at line 74 of file feature/escape.h.

## Constructor & Destructor Documentation

## KingEscape()

osl::rating::KingEscape::KingEscape | ( | Ptype | s | ) |

inline

Definition at line 78 of file feature/escape.h.

References osl::rating::Feature::Feature(), ptype, and osl::Ptype_Table.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::KingEscape::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Feature.

Definition at line 87 of file feature/escape.h.

## match()

bool osl::rating::KingEscape::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 82 of file feature/escape.h.

References osl::NumEffectState::inCheck(), osl::Move::ptype(), and ptype.

## Member Data Documentation

## ptype

Ptype osl::rating::KingEscape::ptype

private

Definition at line 76 of file feature/escape.h.

Referenced by KingEscape(), and match().

The documentation for this class was generated from the following file:

- feature/escape.h